Upload and Attach Regulatory Verification Document (PDF/PNG/JPG max 5MB)
curl --request POST \
--url https://ugatext.com/api/v1/sender-ids/requests/{id}/documents \
--header 'Client-ID: <api-key>' \
--header 'Client-Secret: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"file_base64": "<string>",
"filename": "authorization_letter.pdf",
"mime_type": "application/pdf"
}
'import requests
url = "https://ugatext.com/api/v1/sender-ids/requests/{id}/documents"
payload = {
"file_base64": "<string>",
"filename": "authorization_letter.pdf",
"mime_type": "application/pdf"
}
headers = {
"Client-ID": "<api-key>",
"Client-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Client-ID': '<api-key>',
'Client-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
file_base64: '<string>',
filename: 'authorization_letter.pdf',
mime_type: 'application/pdf'
})
};
fetch('https://ugatext.com/api/v1/sender-ids/requests/{id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ugatext.com/api/v1/sender-ids/requests/{id}/documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'file_base64' => '<string>',
'filename' => 'authorization_letter.pdf',
'mime_type' => 'application/pdf'
]),
CURLOPT_HTTPHEADER => [
"Client-ID: <api-key>",
"Client-Secret: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ugatext.com/api/v1/sender-ids/requests/{id}/documents"
payload := strings.NewReader("{\n \"file_base64\": \"<string>\",\n \"filename\": \"authorization_letter.pdf\",\n \"mime_type\": \"application/pdf\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Client-ID", "<api-key>")
req.Header.Add("Client-Secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://ugatext.com/api/v1/sender-ids/requests/{id}/documents")
.header("Client-ID", "<api-key>")
.header("Client-Secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"file_base64\": \"<string>\",\n \"filename\": \"authorization_letter.pdf\",\n \"mime_type\": \"application/pdf\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://ugatext.com/api/v1/sender-ids/requests/{id}/documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Client-ID"] = '<api-key>'
request["Client-Secret"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"file_base64\": \"<string>\",\n \"filename\": \"authorization_letter.pdf\",\n \"mime_type\": \"application/pdf\"\n}"
response = http.request(request)
puts response.read_bodyAPI Reference
Upload and Attach Regulatory Verification Document (PDF/PNG/JPG max 5MB)
POST
/
sender-ids
/
requests
/
{id}
/
documents
Upload and Attach Regulatory Verification Document (PDF/PNG/JPG max 5MB)
curl --request POST \
--url https://ugatext.com/api/v1/sender-ids/requests/{id}/documents \
--header 'Client-ID: <api-key>' \
--header 'Client-Secret: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"file_base64": "<string>",
"filename": "authorization_letter.pdf",
"mime_type": "application/pdf"
}
'import requests
url = "https://ugatext.com/api/v1/sender-ids/requests/{id}/documents"
payload = {
"file_base64": "<string>",
"filename": "authorization_letter.pdf",
"mime_type": "application/pdf"
}
headers = {
"Client-ID": "<api-key>",
"Client-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Client-ID': '<api-key>',
'Client-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
file_base64: '<string>',
filename: 'authorization_letter.pdf',
mime_type: 'application/pdf'
})
};
fetch('https://ugatext.com/api/v1/sender-ids/requests/{id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ugatext.com/api/v1/sender-ids/requests/{id}/documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'file_base64' => '<string>',
'filename' => 'authorization_letter.pdf',
'mime_type' => 'application/pdf'
]),
CURLOPT_HTTPHEADER => [
"Client-ID: <api-key>",
"Client-Secret: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ugatext.com/api/v1/sender-ids/requests/{id}/documents"
payload := strings.NewReader("{\n \"file_base64\": \"<string>\",\n \"filename\": \"authorization_letter.pdf\",\n \"mime_type\": \"application/pdf\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Client-ID", "<api-key>")
req.Header.Add("Client-Secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://ugatext.com/api/v1/sender-ids/requests/{id}/documents")
.header("Client-ID", "<api-key>")
.header("Client-Secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"file_base64\": \"<string>\",\n \"filename\": \"authorization_letter.pdf\",\n \"mime_type\": \"application/pdf\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://ugatext.com/api/v1/sender-ids/requests/{id}/documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Client-ID"] = '<api-key>'
request["Client-Secret"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"file_base64\": \"<string>\",\n \"filename\": \"authorization_letter.pdf\",\n \"mime_type\": \"application/pdf\"\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Your UgaText Client-ID (e.g. uga_...). Accepted header aliases: X-Client-ID, or combined in Authorization: Bearer : / X-API-Key: :.
Your UgaText Client-Secret (e.g. sk_live_...). Accepted header alias: X-Client-Secret.
Path Parameters
Body
application/json
Response
Document uploaded and attached securely

